org.mozilla.javascript.commonjs.module.provider

## Interface UrlConnectionExpiryCalculator

- All Known Implementing Classes:
    DefaultUrlConnectionExpiryCalculator

      public interface UrlConnectionExpiryCalculator

  Implemented by objects that can be used as heuristic strategies for calculating the expiry of a cached resource in cases where the server of the resource doesn't provide explicit expiry information.
  Version:
    $Id: UrlConnectionExpiryCalculator.java,v 1.3 2011/04/07 20:26:12 hannes%helma.at Exp $
  Author:
    Attila Szegedi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `calculateExpiry(java.net.URLConnection urlConnection)` Given a URL connection, returns a calculated heuristic expiry time (in terms of milliseconds since epoch) for the resource.

- - ### Method Detail

    - #### calculateExpiry

          long calculateExpiry(java.net.URLConnection urlConnection)

      Given a URL connection, returns a calculated heuristic expiry time (in terms of milliseconds since epoch) for the resource.
      Parameters:
        `urlConnection` - the URL connection for the resource
      Returns:
        the expiry for the resource